OpenTTD: Data Fields - Functions

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

### - i -

- IConsoleLine() : IConsoleLine
- IncIndustryTypeCount() : Industry
- Include() : CBinaryHeapT< T > , SmallVector< T, S >
- IncrementImplicitOrderIndex() : Vehicle
- IncrementRealOrderIndex() : Vehicle
- IncrementSize() : CargoDataEntry
- IncTypeCount() : Object
- Index() : CargoSpec , ObjectSpec
- IndustriesResolverObject() : IndustriesResolverObject
- IndustriesScopeResolver() : IndustriesScopeResolver
- IndustryNameSorter() : IndustryDirectoryWindow
- IndustryProductionSorter() : IndustryDirectoryWindow
- IndustryTileResolverObject() : IndustryTileResolverObject
- IndustryTileScopeResolver() : IndustryTileScopeResolver
- IndustryTransportedCargoSorter() : IndustryDirectoryWindow
- IndustryTypeSorter() : IndustryDirectoryWindow
- IniFile() : IniFile
- IniGroup() : IniGroup
- IniItem() : IniItem
- IniLoadFile() : IniLoadFile
- Init() : Hash , BaseSettingEntry , SettingEntry , SettingsContainer , SettingsPage , LinkGraph::BaseNode , LinkGraph::BaseEdge , LinkGraph , LinkGraphJob::EdgeAnnotation , LinkGraphJob::NodeAnnotation , LinkGraphJob , ByteBlob , AyStar , BinaryHeap
- InitEmpty() : ByteBlob
- InitialiseCrashLog() : CrashLog
- Initialize() : AI , AIInstance , Game , GameInstance , OrderList , ScriptInstance , ScriptScanner , Squirrel
- InitializeData() : Window
- InitializeLayout() : Town
- InitializePositionSize() : Window
- InitializeUnicodeGlyphMap() : SpriteFontCache , FreeTypeFontCache , FontCache
- InitializeViewport() : NWidgetViewport
- InitNested() : Window
- Insert() : MultiMap< Tkey, Tvalue, Tcompare > , SmallMap< T, U, S >
- InsertChar() : Textbuf
- InsertClipboard() : Textbuf
- InsertClosedNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- InsertDefaults() : NewGRFClass< Tspec, Tid, Tmax >
- InsertEvent() : ScriptInstance
- InsertOpenNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- InsertOrderAt() : OrderList
- InsertOrRetrieve() : CargoDataEntry
- InsertString() : Textbuf
- InsertTextString() : IConsoleWindow , Window
- Intersects() : OrthogonalTileArea
- Invalidate() : FlowStat
- InvalidateAllFrom() : CargoPacket
- InvalidateCache() : CargoList< Tinst, Tcont > , VehicleCargoList
- InvalidateData() : Window
- InvalidateDimensionCache() : NWidgetLeaf
- InvalidateFileList() : ConsoleFileList
- InvalidateNewGRFCache() : Vehicle
- InvalidateNewGRFCacheOfChain() : Vehicle
- IsActive() : CocoaSubdriver
- IsAnyStationTileReserved() : CYapfCostRailT< Types >
- IsArticulatedPart() : Vehicle
- IsAutoRefit() : Order
- IsAvailable() : AirportSpec , ObjectSpec
- IsAwarded() : Subsidy
- IsBetter() : DistanceAnnotation , CapacityAnnotation
- IsBus() : RoadVehicle
- IsButton() : NWidgetToolbarContainer
- IsChainInDepot() : GroundVehicle< T, Type > , Vehicle
- IsCompletelyTimetabled() : Order
- IsCompleteTimetable() : OrderList
- IsConnected() : NetworkTCPSocketHandler , NetworkHTTPSocketHandler , ClientNetworkGameSocketHandler
- IsCritical() : ErrmsgWindow
- IsDead() : AIDebugWindow , ScriptInstance
- IsDescSortOrder() : GUIList< T, F >
- IsDeveloperOnly() : GameInfo , ScriptInfo
- IsDisabled() : NWidgetCore
- IsDraggingDiagonal() : TileHighlightData
- IsDriveThroughRoadStopContinuation() : RoadStop
- IsEditable() : AIConfigWindow , SettingDesc
- IsEmpty() : SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size > , SmallArray< T, B, N > , CBinaryHeapT< T > , ByteBlob , FixedSizeArray< T, C > , SmallSet< Tdir, items > , StringFilter , NWidgetContainer
- IsEnabled() : Engine
- IsEngine() : GroundVehicle< T, Type >
- IsEngineCountable() : Vehicle
- IsEntranceBusy() : RoadStop
- IsEverAvailable() : ObjectSpec
- IsExpected() : SpecializedStation< T, Tis_waypoint >
- IsFamily() : NetworkAddress
- IsFiltered() : BaseSettingEntry
- IsFilterEnabled() : GUIList< T, F >
- IsFinished() : LinkGraphJob
- IsFirstPageSelected() : StoryBookWindow
- IsFreeBay() : RoadStop
- IsFreeWagon() : GroundVehicle< T, Type >
- IsFrontEngine() : Vehicle
- IsFull() : SmallArray< T, B, N > , CBinaryHeapT< T > , FixedSizeArray< T, C > , SmallSet< Tdir, items >
- IsFullscreen() : CocoaSubdriver
- IsGotoOrder() : Order
- IsGroundVehicle() : Engine , Vehicle
- IsHidden() : Engine
- IsHighlighted() : NWidgetCore
- IsHumanID() : Company
- IsIn() : SmallSet< Tdir, items >
- IsInDepot() : Aircraft , RoadVehicle , Ship , Train , Vehicle
- IsInNetmask() : NetworkAddress
- IsInspectable() : NIHelper
- IsInUse() : BaseStation
- IsLastPageSelected() : StoryBookWindow
- IsLinkVisible() : LinkGraphOverlay
- IsLowered() : NWidgetCore
- IsMultiheaded() : GroundVehicle< T, Type >
- IsNewGRFInspectable() : IndustryViewWindow , LandInfoWindow , VehicleViewWindow , Window
- IsNormalAircraft() : Aircraft
- IsNull() : CCountedPtr< Tcls_ >
- IsOfType() : Waypoint , Depot
- IsOpenTTDBaseGRF() : GRFConfig
- IsOrderListShared() : Vehicle
- IsParentSprite() : DrawTileSeqStruct
- IsPaused() : ScriptInstance , AI , Game
- IsPointVisible() : LinkGraphOverlay
- IsPrimaryVehicle() : Aircraft , RoadVehicle , Ship , Train , Vehicle
- IsProcessingIndustry() : IndustrySpec
- IsRandom() : ScriptConfig
- IsRawIndustry() : IndustrySpec
- IsRearDualheaded() : GroundVehicle< T, Type >
- IsRefit() : Order
- IsResolved() : NetworkAddress
- IsSelected() : ContentInfo
- IsShaded() : Window
- IsShared() : OrderList
- IsSingleTile() : Waypoint
- IsSleeping() : ScriptInstance
- IsSongPlaying() : MusicDriver_Win32 , MusicDriver_DMusic , MusicDriver_OS2 , MusicDriver , MusicDriver_Null , MusicDriver_Allegro , MusicDriver_LibTimidity , MusicDriver_QtMidi , MusicDriver_BeMidi , MusicDriver_ExtMidi , MusicDriver_Cocoa
- IsSortable() : GUIList< T, F >
- IsStoppedInDepot() : Vehicle
- IsSuspended() : Squirrel
- IsTerminator() : DrawTileSeqStruct
- IsTravelTimetabled() : Order
- IsType() : Order
- IsUIAvailable() : NewGRFClass< Tspec, Tid, Tmax >
- IsValid() : Backup< T > , ContentInfo , LanguagePackHeader , CargoSpec
- IsValidAiID() : Company
- IsValidDebugCompany() : AIDebugWindow
- IsValidHumanID() : Company
- IsValidID() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero > , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool > , SpecializedVehicle< T, Type > , SpecializedStation< T, Tis_waypoint >
- IsValidSpriteSet() : GrfProcessingState
- IsVehicleInSharedOrdersList() : OrderList
- IsVehicleServiceIntervalEnabled() : VehicleDetailsWindow
- IsVertical() : Scrollbar
- IsVisible() : BaseSettingEntry , Scrollbar , SettingsContainer , SettingsPage
- IsVisibleByRestrictionMode() : SettingEntry
- IsWagon() : GroundVehicle< T, Type >
- IsWaitTimetabled() : Order
- IsWidgetDisabled() : Window
- IsWidgetFocused() : Window
- IsWidgetGloballyFocused() : Window
- IsWidgetHighlighted() : Window
- IsWidgetLowered() : Window
- IsWidgetVisible() : NWidgetServerListHeader
- ItemAt() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- Items() : SmallSet< Tdir, items >